package com.sample.user;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;

import com.sample.user.crypto.PBKDF2SaltedPasswordHashGenerator;
import com.sample.user.crypto.PasswordHashGenerator;

@SpringBootApplication
public class UserServiceApplication {

	public static void main(String[] args) throws Exception {
		SpringApplication.run(UserServiceApplication.class, args);
	}

	@Bean
	@ConditionalOnMissingBean
	public PasswordHashGenerator passwordHashGenerator() {
		return new PBKDF2SaltedPasswordHashGenerator();
	}
}
