package com.sample.user.query;

import org.axonframework.eventhandling.EventHandler;
import org.springframework.stereotype.Component;

import com.sample.user.events.UserCreated;
import com.sample.user.events.UserDeleted;

@Component
public class UserListener {
	
	private final UserRepository userRepository;
	
	public UserListener(UserRepository userRepository) {
		this.userRepository = userRepository;
	}
	
	@EventHandler
	public void userCreated(UserCreated event) {
		userRepository.save(new User(event.getId(), event.getEmail()));
	}
	
	@EventHandler
	public void userDeleted(UserDeleted event) {
		userRepository.delete(event.getId());
	}
}
